llist.h File Reference
Llist

Simple double-linked list. More...

`#include <stddef.h>`
Include dependency graph for obj-x86_64-linux-gnu/lib/fosphor/llist.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | llist_head

## Macros

#define | LLIST_HEAD_INIT(name) { &(name), &(name) }
#define | LLIST_HEAD(name) struct llist_head name = LLIST_HEAD_INIT(name)
#define | llist_entry(ptr, type, member) ((type *)( (char *)(ptr) - offsetof(type, member) ))
| Get the struct for this entry.
#define | llist_for_each_entry(type, pos, head, member)
| Iterate over llist of given type.

## Functions

static void | llist_add (struct llist_head *_new, struct llist_head *head)
| Add a new entry after the specified head.
static void | llist_del (struct llist_head *entry)
| Deletes entry from llist.

## Detailed Description

Simple double-linked list.

## Function Documentation

## llist_add()

static void llist_add | ( | struct llist_head * | _new,
|  | struct llist_head * | head
| ) |  |

inline static

Add a new entry after the specified head.

Parameters

  [in] | new | new entry to be added
  [in] | head | llist head to add it after

References llist_head::next, and llist_head::prev.

## llist_del()

static void llist_del | ( | struct llist_head * | entry | ) |

inline static

Deletes entry from llist.

Parameters

  [in] | entry | the element to delete from the llist

References llist_head::next, and llist_head::prev.